unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var kod1,kod2: integer;
      R1,R2: single;
begin
  // oblicza sumę dwóch liczb dziesiętnych
  Val(Edit1.Text, R1, Kod1);
  Val(Edit2.Text, R2, Kod2);
  // jeśli błąd podczas konwersji
  if Kod1<>0 then ShowMessage('Błąd w oknie Edit1 na pozycji: ' + IntToStr(Kod1))
  else
  if Kod2<>0 then ShowMessage('Błąd w oknie Edit2 na pozycji: ' + IntToStr(Kod2))
  else  Label1.Caption:='suma='+FloatToStrF(R1+R2,ffGeneral,5,1) ;

end;

end.
